<?php

namespace App\Http\Controllers;

use App\Post;
use App\Comment;
use App\User;
use App\Like;
use Illuminate\Support\Facades\Storage;

use Illuminate\Http\Request;
use function GuzzleHttp\Promise\all;

class PostController extends Controller
{
    public function __construct()
    {
        return $this->middleware('auth');
    }

    public function create()
    {
        return view('post');
    }

    public function store(Request $request)
    {
        
        $u =  new Post;
        if($post = $request->file('image')){
            $name = $post->getClientOriginalName();
            if($post->move('images_post',$name)){
                $u->category = $request->get('menu');
                $u->title = $request->get('title');
                $u->body = $request->get('body');
                $u->user_id = $request->user()["id"];
                $u->img_post = $name;
                $u->user()->associate($request->user());
                $u->save();
            }
        }
        $u->category = $request->get('menu');
        $u->title = $request->get('title');
        $u->body = $request->get('body');
        $u->user_id = $request->user()["id"];
        $u->save();

        return redirect('posts');
    }

    public function index()
    {
        $posts = Post::all();
        $total_like = \DB::table('likes')
            ->select('postlike_id',\DB::raw('count(*) as total'))
            ->groupBy('postlike_id')->get();
        $ar = array();
        for ($i=0;$i<100;$i++){
            $ar[$i]=0;
        }
        foreach ($total_like as $key=>$value)
            $ar[($value->postlike_id)-1] = $value->total;

        $total_comment = \DB::table('comments')
            ->select('parent_id',\DB::raw('count(*) as total'))
            ->groupBy('parent_id')->get();
        $co = array();
        for ($i=0;$i<100;$i++){
            $co[$i]=0;
        }
        foreach ($total_comment as $key=>$value)
            $co[($value->parent_id)-1] = $value->total;

        return view('index', compact('posts','ar','co'));
    }

    public function show(Request $request, $id)
    {
        $comments1 = \DB::table('posts')
            ->join('users', 'users.id', '=', 'posts.user_id')
            ->select('*')->from('posts')->where('posts.id', '=', $id)
            ->get();
            
        $post = Post::find($id);
        $comments = Comment::find($id);
        $user_id = $request->user()["id"];

        $user_like = array();
        $like = Like::where('postlike_id','=',$id) -> get();
        foreach ($like as $key => $value) {
            array_push($user_like,$value['userlike_id']);
        }

        return view('show', compact('post', 'comments', 'user_id','comments1','user_like'));
    }
    // Edit
    public function edit($id)
    {
        $post = Post::find($id);
        return view('edit', compact('post'));
    }
    // Update
    public function update(Request $request, $id)
    {
        // Create Post
        $post = Post::find($id);
        $post->title = $request->input('title');
        $post->body = $request->input('body');
        $post->created_at = $request->get('created_at');
        $post->updated_at = $request->get('updated_at');
        $post->save();
        return redirect('/posts')->with('success', 'Post Updated');
    }
    public function delete($id)
    {
        Post::where('id', $id)->delete();
        Comment::where('id', $id)->delete();
        Like::where('postlike_id',$id)->delete();
        return redirect('posts');
    }

    // 
    public function category($name)
    {
        $n = $name;
        $category = Post::where('category','=',$name) -> get();

        $total_like = \DB::table('likes')
            ->select('postlike_id',\DB::raw('count(*) as total'))
            ->groupBy('postlike_id')->get();
        $ar = array();
        for ($i=0;$i<100;$i++){
            $ar[$i]=0;
        }
        foreach ($total_like as $key=>$value)
            $ar[($value->postlike_id)-1] = $value->total;

        $total_comment = \DB::table('comments')
            ->select('parent_id',\DB::raw('count(*) as total'))
            ->groupBy('parent_id')->get();
        $co = array();
        for ($i=0;$i<100;$i++){
            $co[$i]=0;
        }
        foreach ($total_comment as $key=>$value)
            $co[($value->parent_id)-1] = $value->total;

        return view('Category/categ', compact('category','n','ar','co'));
    }

    public function post_i($id)
    {
        $p = Post::where('user_id','=',$id) -> get();

        $total_like = \DB::table('likes')
        ->select('postlike_id',\DB::raw('count(*) as total'))
        ->groupBy('postlike_id')->get();
        $ar = array();
        for ($i=0;$i<100;$i++){
            $ar[$i]=0;
        }
        foreach ($total_like as $key=>$value)
            $ar[($value->postlike_id)-1] = $value->total;

        $total_comment = \DB::table('comments')
            ->select('parent_id',\DB::raw('count(*) as total'))
            ->groupBy('parent_id')->get();
        $co = array();
        for ($i=0;$i<100;$i++){
            $co[$i]=0;
        }
        foreach ($total_comment as $key=>$value)
            $co[($value->parent_id)-1] = $value->total;

        return view('post_i', compact('p','ar','co'));
    }
}
