@extends('layouts.loin')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-body">
                    <h4><b>{{ $post->title }}</b></h4>
                    <p>{{ $post->body }}</p>
                    <p>หมวดหมู่ :{{ $post->category }}</p>
                    <div class="R">
                        @if(in_array($user_id,$user_like))
                        <a class="icon" href="{{ route('like.unlike',$post->id) }}">
                            <img class="icon" src="{{{ asset('img/likepng.png') }}}" />
                        </a>
                        @else
                        <a href="{{ route('like.addlike',$post->id) }}">
                            <img class="icon" src="{{{ asset('img/unlikepng.png') }}}" alt=" " srcset=" " />

                        </a>
                        @endif
                    </div>
                    <div>
                        @if( $post->img_post != "/" )
                        <center>
                            <a target="_blank" href="/images_post/{{$post->img_post}}">
                                <img src="/images_post/{{$post->img_post}}" style="height: 200px; " />
                            </a>
                        </center>
                        @endif
                        <br>
                    </div>
                    @foreach($comments1 as $x)
                    @endforeach
                    @if($user_id == $post->user_id)
                    <div class="R">
                        <a href="{{ route('post.edit',$post->id,$post->user_id) }}" class="btn btn-primary">Edit</a>
                        <a href="#modalDeletePost" class="btn btn-primary R">Delete Post</a>
                        <div id="modalDeletePost">
                            <div class="col-md-4">
                                <center><br>
                                <div>
                                    <h5>Are you sure to detele post?</h5>
                                </div>
                            </center>
                            <hr>
                            <div class="R">
                                <a href="{{ route('post.delete', $post->id) }}" class="btn btn-primary">Delete</a>
                                <a href="#close" class="btn btn-primary">Close</a>
                            </div>
                        </div>
                    </div>
                </div>
                @endif
                <hr>
                <p class="R">โพสโดย {{$x->name}} เมื่อ :{{ $post->created_at }}</p>
            </div>
            </div>
            <br>
            <h4>Display Comments</h4>
            @foreach($post->comments as $comment)
            <div class="card">
                <div class="card-body">
                    <div class="display-comment">
                        <strong>{{ $comment->user->name }}</strong>
                        <p>{{ $comment->body }}</p>
                        @if($user_id == $comment->user_id)
                        <div class="R">
                            <a href="#modalWindowEdit" class="btn btn-primary " onclick="popData({{$comments1}}, {{$comment->id}})">Edit</a>
                            <div id="modalWindowEdit">
                                <div class="col-md-4">
                                    <form method="get" action="{{ route('comment.updateComment',$comment->id) }}" id="formSendData">
                                        <div class="form-group" id="{{$comment->id}}">
                                            {{method_field('patch')}}
                                            <input type="text" name="comment_body" class="form-control" id="editString" required value="" />
                                            <input type="hidden" name="post_id" value="{{ $post->id }}" />
                                            <input type="hidden" name="comment_id" value="{{$comment->id}}" id="commentId" required value="" />
                                        </div>
                                        <div class="form-group R">
                                            <input type="submit" class="btn btn-warning" value="Edit Comment" />
                                            <a href="#close" class="btn btn-primary">Close modal</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <a href="#modalDeleteComment" class="btn btn-primary R">Delete Comment</a>
                            <div id="modalDeleteComment">
                                <div class="col-md-4">
                                    <center><br>
                                        <div>
                                            <h5>Are you sure to detele comment?</h5>
                                        </div>
                                    </center>
                                    <hr>
                                    <div class="R">
                                        <a href="{{ route('comment.deleteComment', $comment->id) }}" class="btn btn-primary">Delete Comment</a>
                                        <a href="#close" class="btn btn-primary">Close</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endif
                    </div>
                </div>
            </div>
            <br>
            @endforeach
            <br>
            <h4>Add comment</h4>
            <div class="card">
                <div class="card-body">
                    <form method="post" action="{{ route('comment.add') }}">
                        @csrf
                        <div class="form-group">
                            <input type="text" name="comment_body" class="form-control" required />
                            <input type="hidden" name="post_id" value="{{ $post->id }}" />
                        </div>
                        <div class="form-group">
                            <input type="submit" class="btn btn-warning" value="Add Comment" />
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>
<script>
    popData = (list, id) => {
        const data = list.find(obj => obj.id === id)
        if (data) {
            $('#modalWindowEdit #editString').val(data.body);
            $('#modalWindowEdit #commentId').val(data.id);
        }
    }
</script>
@endsection